%define upstream_name    Plack-Middleware-Cached
%define upstream_version 0.15

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Plack/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Clone)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Plack::Builder)
BuildRequires: perl(Plack::Middleware)
BuildRequires: perl(Plack::Util::Accessor)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(overload)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module can be used to glue a cache to a the PSGI manpage applications
or middleware. A *cache* is an object that provides at least two methods to
get and set data, based on a key. Existing cache modules on CPAN include
the CHI manpage, the Cache manpage, and the Cache::Cache manpage.
Plack::Middleware::Cached is put in front of a PSGI application as
middleware. Given a request in form of a PSGI environment E, it either
returns the matching response R from its cache, or it passed the request to
the wrapped application, and stores the application's response in the
cache:

                      ________          _____
    Request  ===E===>|        |---E--->|     |
                     | Cached |        | App |
    Response <==R====|________|<--R----|_____|

In most cases, only a part of the environment E is relevant to the request.
This relevant part is called the caching *key*. By default, the key is set
to the value of REQUEST_URI from the environment E.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.150.0-6pclos2017
- rebuild against updates

